Get available NMS IPs at Sensor

Prev Next

This URL gets the NMS IPs available at domain to allocate to the Sensor.

Resource URL

GET /sensor/<sensor_id> /nmsips/available

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

sensorId

Sensor id

Number

Yes

Response Parameters

Following fields are returned:

Field Name

Description

Data Type

NMSIPList

Contains the list of NMS IPs

ObjectList

Details of fields in NMSIPList:

Field Name

Description

Data Type

NMSIPDetails

NMS IP details

Object

Details of fields in NMSIPDetails:

Field Name

Description

Data Type

IPAddress

NMS IP

String

IPId

Id of the NMS IP

Number

createdAt

Resource where the NMS IP was created

String

Example

Request

GET https://<NSM_IP>/sdkapi/sensor/1001/nmsips/available

Response

     {
       "nmsIPDetails":
       [
           {
               "IPAddress": "1.1.1.1",
               "IPId": 49,
               "createdAt": "/My Company"
           }
       ]
    }

Error Information

Following error codes are returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1106

Invalid Sensor

2

400

1124

The Sensor is inactive

3

400

5401

FIPS enabled on Sensor